libretools - Bug #75

make [libretools] abs/abslibre/abslibre-mips64el/pbs agnostic
2012-04-09 12:46 PM - lluvia

Status: fixed % Done: 100%
Priority: feature

Assignee: lukeshu

Category:

Description

| think it should be something like a

ABSLIBRE-MIPS64ELGIT

variable at /etc/libretools.conf. If not, user will be hacking the expected behavour of libretools in general. Also, hack or not, it is not
documented in the wiki, AFAIK, how to use libretools for packaging in mips64el, so a new packager would be in problems, for

example reading this as reference:

https://wiki.parabolagnulinux.org/Package_maintainer_guide

History

#2 - 2012-04-09 12:55 PM - mtjm

Changed title to more accurately describe the problem.

Only two nearly trivial scripts use the ABSLIBREGIT variable. | believe it will be better to remove all git-using code from libretools, remove
ABSLIBREGIT and COMMITCMD variables from libretools.conf, and recommend using git directly. It's already needed for most tasks.

Documentation needs changes, | can help with that.

#3 - 2012-11-28 11:47 AM - lukeshu

I'd actually like to pull abslibre-utils into its own package. Some work has been done towards that.

#4 - 2013-05-02 07:06 PM - lukeshu
ABSLIBRE git is now only used by one script, “createworkdir'. COMMITCMD is no longer used by anything and has been removed.

#6 - 2013-10-01 05:51 PM - lukeshu

I'm working on doing this via a tool called “xbs™. None of it has been pushed yet though.

#7 - 2016-04-15 11:00 PM - lukeshu
- Target version deleted (don't break and confuse parabolers)

- Priority changed from bug to feature

#8 - 2018-08-15 11:50 PM - lukeshu
- % Done changed from 40 to 100

- Status changed from open to fixed

XBS is dead.

The only thing that still cares about abs/abslibre is createworkdir. I'd say that's good enough.
